# _embedded_hal_digital_InputPin in k210_hal::prelude - Rust
Single digital input pin
Keywords: rust, rustlang, rust-lang, _embedded_hal_digital_InputPin

# Trait k210_hal::prelude::_embedded_hal_digital_InputPin

source · [−]

    pub trait _embedded_hal_digital_InputPin {
        type Error;
        fn try_is_high(&self) -> Result<bool, Self::Error>;
        fn try_is_low(&self) -> Result<bool, Self::Error>;
    }

Expand description

Single digital input pin

## Associated Types

source

#### type Error

Error type

## Required methods

source

#### fn try_is_high(&self) -> Result<bool, Self::Error>

Is the input pin high?

source

#### fn try_is_low(&self) -> Result<bool, Self::Error>

Is the input pin low?

## Implementors

source

### impl<GPIO: GpioIndex, PIN, MODE> InputPin for Gpio<GPIO, PIN, Input<MODE>>

#### type Error = Infallible

source

### impl<MODE> InputPin for Gpiohs0<Input<MODE>>

#### type Error = Infallible